# Integrating FarmMaps OpenID Connect
Farmmaps uses OpenID Connect (OIDC).  
This page lists the information needed to integrate OpenID connect into your application.  
Note that for testing purposes it is quicker to just [generate an access token]() instead of implementing a complete integration. 
Please see [https://openid.net/connect/](https://openid.net/connect/) if you are not familiar with OpenID Connect.

To integrate OIDC, it is recommended to use a (certified) library/implementation for your language of choice:  
 * [https://openid.net/developers/libraries/](https://openid.net/developers/libraries/)

When developing in C# / .NET, the recommended library is the `IdentityModel OpenID client`:

* [https://identitymodel.readthedocs.io/en/latest/native/overview.html](https://identitymodel.readthedocs.io/en/latest/native/overview.html) 

To configure your library with the right settings, you'll need the Farmmaps OpenID configuration:
* https://accounts.farmmaps.awtest.nl/.well-known/openid-configuration

#### Note

* At the moment FarmMaps only supports the OpenID Connect **"explicit" flow type**.  
More about flow types can be found [here](https://www.scottbrady91.com/OpenID-Connect/OpenID-Connect-Flows).  

* At the moment, FarmMaps does not support dynamic client registration.   
Please request a client id from one of our developers when you need one for your application.  
In the meantime, it is recommended to simply [generate an access token]() to explore the REST API. 






